%define	pkgname	libgda
%define api     5.0

%define dirver	%{api}
%define oname	gda
%define	major	4

%define libname		%mklibname %{oname} %{api} %major 
%define libnamedev	%mklibname -d %{oname}%{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNU Data Access
Name: 		%{pkgname}%{api}
Version:	5.0.3
Release:	%mkrel 3
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL:            http://www.gnome-db.org/
Source0:	http://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		libgda-5.0.3-mysql4.patch
Patch1:		libgda-5.0.3-link.patch
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.16
BuildRequires: pkgconfig(glib-2.0) >= 2.28.0
BuildRequires: pkgconfig(gmodule-no-export-2.0) >= 2.28.0
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires: pkgconfig(goocanvas-2.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gtksourceview-3.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libcrypto)
BuildRequires: pkgconfig(libgvc)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: db-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: openldap-devel
BuildRequires: pkgconfig(sqlite3) >= 3.6.11
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: intltool >= 0.35.5
BuildRequires: gtk-doc
BuildRequires: gnome-doc-utils >= 0.9.0
BuildRequires: gobject-introspection-devel >= 0.6.5
Requires:	iso-codes

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n	%{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name} >= %{version}
Requires:	%{name}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{libnamedev}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package	postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package	mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package	bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package	sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA sqlite provider

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p0

%build
%configure2_5x --disable-static --enable-system-sqlite \
	--with-bdb=%{_prefix} --with-bdb-libdir-name=%{_lib}
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove unneeded files
find %{buildroot} -name '*.la' | xargs rm

%{find_lang} %{pkgname}-%{api} --with-gnome

%clean
rm -rf %{buildroot}

%files -f %{pkgname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/libgda-%{dirver}
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/config
%{_datadir}/applications/gda-browser-%{api}.desktop
%{_datadir}/applications/gda-control-center-%{api}.desktop
%{_datadir}/pixmaps/gda*
%{_datadir}/icons/hicolor/*/apps/gda-control-center.*
%{_datadir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}/plugins
%dir %{_libdir}/libgda-%{dirver}/providers
%{_libdir}/libgda-%{dirver}/plugins/*.xml
%{_libdir}/libgda-%{dirver}/plugins/libgda-ui-plugins.so
%{_libdir}/libgda-%{dirver}/providers/libgda-web.so
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlcipher.so
%{_libdir}/libgda-%{dirver}/providers/libgda-ldap.so

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%{_libdir}/libgda-ui-%{api}.so.%{major}*
%{_libdir}/libgda-xslt-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gda-%{api}.typelib
%{_libdir}/girepository-1.0/Gdaui-%{api}.typelib

%files -n %{libnamedev}
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/libgda-%dirver/
%doc %{_datadir}/gtk-doc/html/gda-browser
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%{_datadir}/gir-1.0/Gdaui-%{api}.gir
%{_datadir}/gnome/help/gda-browser
%{_datadir}/gnome/help/gda-sql/C/gda-sql-help.xml

%files sqlite
%defattr(-, root, root)
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlite.so

%files postgres
%defattr(-, root, root)
%{_libdir}/libgda-%{dirver}/providers/libgda-postgres.so

%files bdb
%defattr(-, root, root)
%{_libdir}/libgda-%{dirver}/providers/libgda-bdb.so

%files mysql
%defattr(-, root, root)
%{_libdir}/libgda-%{dirver}/providers/libgda-mysql.so


%changelog

* Wed Mar 14 2012 fwang <fwang> 5.0.3-3.mga2
+ Revision: 223311
- fix linkage

* Wed Mar 14 2012 fwang <fwang> 5.0.3-2.mga2
+ Revision: 223305
- add upstream patch to connect to mysql 4.x db (bug#4930)

* Wed Jan 25 2012 fwang <fwang> 5.0.3-1.mga2
+ Revision: 200698
- update file list
- new version 5.0.3

* Sun Nov 20 2011 wally <wally> 5.0.2-1.mga2
+ Revision: 170033
- new version 5.0.2

* Mon Nov 07 2011 wally <wally> 5.0.1-1.mga2
+ Revision: 164936
- new version 5.0.1

* Fri Oct 28 2011 wally <wally> 5.0.0-1.mga2
+ Revision: 159169
- new version 5.0.0

* Sat Sep 24 2011 fwang <fwang> 4.99.4-1.mga2
+ Revision: 147270
- update libmajor
- br readline
- add prefix for bdb
- build with system sqlite
- typo
- br cryptto
- imported package libgda5.0

